Gentoo Archives: gentoo-commits

From: "Samuli Suominen (ssuominen)" <ssuominen@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-block/lsiutil: lsiutil-1.60.ebuild ChangeLog
Date: Tue, 13 Jan 2009 12:02:30
Message-Id: E1LMhyV-0007pe-EZ@stork.gentoo.org
ssuominen    09/01/13 12:02:27

  Modified:             lsiutil-1.60.ebuild ChangeLog
  Log:
  Add missing DEPEND app-arch/unzip wrt #254809. Remove unnecessary quoting from assigment. Add missing dies from compile and dosbin.
  (Portage version: 2.1.6.4/cvs/Linux 2.6.28-gentoo i686)

Revision  Changes    Path
1.2                  sys-block/lsiutil/lsiutil-1.60.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild?r1=1.1&r2=1.2

Index: lsiutil-1.60.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- lsiutil-1.60.ebuild	11 Nov 2008 16:06:13 -0000	1.1
+++ lsiutil-1.60.ebuild	13 Jan 2009 12:02:27 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild,v 1.1 2008/11/11 16:06:13 wschlich Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-block/lsiutil/lsiutil-1.60.ebuild,v 1.2 2009/01/13 12:02:27 ssuominen Exp $
 
 inherit toolchain-funcs
 
@@ -17,7 +17,10 @@
 
 RESTRICT="strip mirror test"
 
-S="${WORKDIR}"
+RDEPEND=""
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}
 
 src_unpack() {
 	unpack ${A}
@@ -27,10 +30,10 @@
 
 src_compile() {
 	cd "${S}"/${PN}
-	$(tc-getCC) ${CFLAGS} -o ${PN} ${PN}.c
+	$(tc-getCC) ${CFLAGS} -o ${PN} ${PN}.c || die "emake failed."
 }
 
 src_install() {
-	dosbin ${PN}/${PN}
+	dosbin ${PN}/${PN} || die "dosbin failed."
 	dodoc "${S}"/*.txt
 }



1.3                  sys-block/lsiutil/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/ChangeLog?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/ChangeLog?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-block/lsiutil/ChangeLog?r1=1.2&r2=1.3

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-block/lsiutil/ChangeLog,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ChangeLog	11 Nov 2008 16:06:13 -0000	1.2
+++ ChangeLog	13 Jan 2009 12:02:27 -0000	1.3
@@ -1,6 +1,10 @@
 # ChangeLog for sys-block/lsiutil
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-block/lsiutil/ChangeLog,v 1.2 2008/11/11 16:06:13 wschlich Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sys-block/lsiutil/ChangeLog,v 1.3 2009/01/13 12:02:27 ssuominen Exp $
+
+  13 Jan 2009; Samuli Suominen <ssuominen@g.o> lsiutil-1.60.ebuild:
+  Add missing DEPEND app-arch/unzip wrt #254809. Remove unnecessary quoting
+  from assigment. Add missing dies from compile and dosbin.
 
 *lsiutil-1.60 (11 Nov 2008)